{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.ddclient;
in {
  options.marleyos.services.ddclient.enable = lib.mkEnableOption "ddclient";

  config = lib.mkIf cfg.enable {
    services.ddclient = {
      enable = true;

      configFile = /home/marley/ddclient.conf;
    };
  };
}
